<?php
/*	peek csv
	author: team1/3
*/

function peek_csv( $arg )
{
	global $params;
	return peek_csv_renderer( $params['page'] );
}

function peek_csv_renderer(&$page_ar)
{
	global $html,$params,$database,$ut,$config;

	$buff = '';

	if (empty($page_ar['meta']['plugin_set_csv']['csv'])) {
$buff .= <<<EOT
		CSV file not set.
EOT;
	} else {
		$f = $config['files_path'].DIRECTORY_SEPARATOR.'img'.DIRECTORY_SEPARATOR.$params['page']['id'].DIRECTORY_SEPARATOR;
		$f .= $page_ar['meta']['plugin_set_csv']['csv'];
		if (is_file($f)) {
			$file = new SplFileObject($f); 
			@$file->setFlags(SplFileObject::READ_CSV); 
			$csv_ar = array();
			foreach ($file as $line) {
				if (!$line || !$line[0]) { continue; }
				$csv_ar[] = $line;
			} 
			$tag = 'th';
$buff .= <<<EOT
			<table class='onethird-table'>
EOT;
			foreach ($csv_ar as $v) {
$buff .= <<<EOT
				<tr>
EOT;
				foreach ($v as $vv) {
					$vv = $ut->safe_echo($vv);
$buff .= <<<EOT
					<$tag> $vv </$tag>
EOT;
				}
$buff .= <<<EOT
				</tr>
EOT;
				$tag ='td';
			}
$buff .= <<<EOT
			</table>
EOT;
			
		} else {
$buff .= <<<EOT
			file error 
EOT;
		}
	}

	if (check_rights('edit')) {
$buff .= <<<EOT
		<div class="edit_pointer ">	
			<a href='javascript:void(ot.plugin_set_csv({$page_ar['id']}))' class='onethird-button mini'>Set CSV</a>
EOT;
			$buff .= std_blockmenu_renderer($page_ar);
$buff .= <<<EOT
		</div>
EOT;
$html['meta']['peek_csv_renderer'] = <<<EOT
		<script>
			\$(function() {
				ot.plugin_set_csv = function(id) {
					opt = {};
					opt.title = 'Set CSV file';
					opt.group = false;
					opt.select = function(obj){
						ot.close_dialog();
						var u = \$(obj).attr('data-name');
						ot.ajax({
							type: "POST"
							, url: '{$_SERVER['REQUEST_URI']}'
							, data: "ajax=plugin_set_csv&data="+encodeURIComponent(u)
							, dataType:'json'
							, success: function(data){
								if ( data && data['result'] ) {
									location.reload(true);
								}
							}
						});
					}
					ot.open_uploader(opt);
				};

			})
		</script>
EOT;
		if (isset($_POST['ajax']) && $_POST['ajax'] == 'plugin_set_csv') {
			$r = array();
			$r['result'] = false;
			$r['src'] = sanitize_str($_POST['data']);
			$page_ar['meta']['plugin_set_csv']['csv'] = $r['src'];
			$r['result'] = mod_data_items($page_ar);
			echo( json_encode($r) );
			exit();
		}
	}

	return frame_renderer($buff);
}

?>